From: Artur Frysiak <artur.frysiak@koelner.pl>
Date: 03-Jul-2006
Subject: added cx_Oracle (tested with Oracle 10.1 on Solaris 9), added KInterbasDB (tested with FirebirdSQL 1.5 on Solaris 9), fixed source dir for DCOracle2 (but this package doesn't compile with Oracle 10.1 and is long time unmaintained)

Index: src/python-db/python-db.spec
===================================================================
RCS file: /v/openpkg/cvs/openpkg-src/python-db/python-db.spec,v
retrieving revision 1.11
diff -u -d -u -d -u -3 -r1.11 python-db.spec
--- src/python-db/python-db.spec	21 Jun 2006 06:26:39 -0000	1.11
+++ src/python-db/python-db.spec	2 Jul 2006 23:28:24 -0000
@@ -31,6 +31,8 @@
 %define       V_psycopg2       2.0.2
 %define       V_dcoracle2      1.2
 %define       V_mysql_python   1.2.1_p2
+%define       V_cx_oracle      4.1.2
+%define       V_kinterbasdb    3.1.3
 
 #   package information
 Name:         python-db
@@ -50,12 +52,16 @@
 %option       with_pgsql      no
 %option       with_mysql      no
 %option       with_oracle     no
+%option       with_cx_oracle  no
+%option       with_interbase  no
 
 #   list of sources
 Source0:      http://initd.org/pub/software/pysqlite/releases/%{V_pysqlite_major}/%{V_pysqlite}/pysqlite-%{V_pysqlite}.tar.gz
 Source1:      http://initd.org/pub/software/psycopg/psycopg2-%{V_psycopg2}.tar.gz
 Source2:      http://www.zope.org/Members/matt/dco2/%{V_dcoracle2}/DCOracle2-%{V_dcoracle2}.tgz
 Source3:      http://switch.dl.sourceforge.net/mysql-python/MySQL-python-%{V_mysql_python}.tar.gz
+Source4:      http://switch.dl.sourceforge.net/cx-oracle/cx_Oracle-%{V_cx_oracle}.tar.gz
+Source5:      http://switch.dl.sourceforge.net/kinterbasdb/kinterbasdb-%{V_kinterbasdb}.src.tar.gz
 Patch0:       python-db.patch
 
 #   build information
@@ -75,7 +81,7 @@
 BuildPreReq:  mysql
 PreReq:       mysql
 %endif
-%if "%{with_oracle}" == "yes"
+%if "%{with_oracle}" == "yes" || "%{with_cx_oracle}" == "yes"
 BuildPreReq:  oracle
 PreReq:       oracle
 %endif
@@ -112,12 +118,24 @@
         url       = http://www.zope.org/Members/matt/dco2/
         regex     = DCOracle2-(\d+\.[\d\.]+)\.tgz
     }
+    prog python-db:kinterbasdb = {
+        version   = %{V_kinerbasdb}
+        url       = http://prdownloads.sourceforge.net/kinterbasdb/
+        regex     = kinterbasdb-(__VER__)\.tar\.gz
+    }
+    prog python-db:cx_oracle = {
+        version   = %{V_cx_oracle}
+        url       = http://prdownloads.sourceforge.net/cx-oracle/
+        regex     = cx_Oracle-(__VER__)\.src\.tar\.gz
+    }
 
 %prep
     %setup -q -c
     %setup -q -T -D -a 1
     %setup -q -T -D -a 2
     %setup -q -T -D -a 3
+    %setup -q -T -D -a 4
+    %setup -q -T -D -a 5
     %patch -p0
 
 %build
@@ -141,7 +159,7 @@
     ) || exit $?
 %endif
 %if "%{with_oracle}" == "yes"
-    ( cd DCOracle2-%{V_dcoracle2}
+    ( cd DCOracle2
       %{l_shtool} subst \
           -e 's;^\(PYTHON=\).*$;\1 %{l_prefix}/bin/python;' \
           Makefile
@@ -151,6 +169,21 @@
       MAKE="%{l_make}" %{l_make} %{l_mflags -O} DCOracle2/dco2.so
     ) || exit $?
 %endif
+%if "%{with_cx_oracle}" == "yes"
+    ( cd cx_Oracle-%{V_cx_oracle}
+      %{l_shtool} subst \
+          -e 's;^\(PYTHON=\).*$;\1 %{l_prefix}/bin/python;' \
+          Makefile
+      ORACLE_HOME="`%{l_rc} --query oracle_home`"
+      export ORACLE_HOME
+      %{l_prefix}/bin/python setup.py build
+    )
+%endif
+%if "%{with_interbase}" == "yes"
+    ( cd kinterbasdb-%{V_kinterbasdb}
+      %{l_prefix}/bin/python setup.py build
+    ) || exit $?
+%endif
 
 %install
     rm -rf $RPM_BUILD_ROOT
@@ -182,7 +215,17 @@
     ) || exit $?
 %endif
 %if "%{with_oracle}" == "yes"
-    ( cd DCOracle2-%{V_dcoracle2}
+    ( cd DCOracle2
+      ORACLE_HOME="`%{l_rc} --query oracle_home`"
+      export ORACLE_HOME
+      %{l_prefix}/bin/python setup.py install \
+          --skip-build \
+          --root=$RPM_BUILD_ROOT \
+          --prefix=%{l_prefix}
+    ) || exit $?
+%endif
+%if "%{with_cx_oracle}" == "yes"
+    ( cd cx_Oracle-%{V_cx_oracle}
       ORACLE_HOME="`%{l_rc} --query oracle_home`"
       export ORACLE_HOME
       %{l_prefix}/bin/python setup.py install \
@@ -191,6 +234,14 @@
           --prefix=%{l_prefix}
     ) || exit $?
 %endif
+%if "%{with_interbase}" == "yes"
+    ( cd kinterbasdb-%{V_kinterbasdb}
+      %{l_prefix}/bin/python setup.py install \
+          --skip-build \
+          --root=$RPM_BUILD_ROOT \
+          --prefix=%{l_prefix}
+    ) || exit $?
+%endif
     %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}
 
 %files -f files
